<template>
  <v-app>
    <v-main>
      <div style="display: flex; justify-content: center; padding-top: 5%">
        <v-btn color="error" @click="clear">Clear Days Select</v-btn>
      </div>
      <div style="display: flex; justify-content: space-around; padding: 5%">
        <div>
          <v-date-picker
            style="width: 100%"
            v-model="days"
            multiple
            color="blue lighten-2"
            header-color="blue lighten-3"
          />
        </div>
        <div>
          <Chart
            style="display: flex; justify-content: center"
            :Cases="CasesList"
            :Deaths="DeathsList"
            :Recovereds="RecoveredList"
            :Date="days"
          />
        </div>
      </div>
      <Table
        :Cases="CasesList"
        :Deaths="DeathsList"
        :Recovereds="RecoveredList"
        :Date="days"
        style="display: flex; justify-content: center; padding: 1%"
      />
    </v-main>
  </v-app>
</template>

<script>
import Table from "./components/Table";
import Chart from "./components/Chart.vue";
import Axios from "axios";
import moment from "moment";
export default {
  name: "App",

  components: {
    Table,
    Chart,
  },
  data() {
    return {
      CasesList: [],
      DeathsList: [],
      RecoveredList: [],
      days: [],
    };
  },
  created() {
    this.getList();
  },
  // data: () => ({
  //   //
  // }),
  methods: {
    getList() {
      Axios.get("https://disease.sh/v3/covid-19/historical/all").then(
        (response) => {
          console.log(response.data);
          this.setCaseList(response.data);
          this.setDeathsList(response.data);
          this.setRecoveredList(response.data);
        }
      );
    },
    setCaseList(data) {
      for (const Data in data.cases) {
        let object = {
          day: moment(Data).format("M/DD/YY"),
          cases: data.cases[Data],
        };
        this.CasesList.push(object);
      }
    },
    setDeathsList(data) {
      for (const Data in data.deaths) {
        let object = {
          day: moment(Data).format("M/DD/YY"),
          deaths: data.deaths[Data],
        };
        this.DeathsList.push(object);
      }
    },
    setRecoveredList(data) {
      for (const Data in data.recovered) {
        let object = {
          day: moment(Data).format("M/DD/YY"),
          recoves: data.recovered[Data],
        };
        this.RecoveredList.push(object);
      }
      console.log(this.RecoveredList);
    },
    clear() {
      this.days = [];
    },
  },
};
</script>
